AuSetBucketAttributes(3)

Name
AuSetBucketAttributes - set bucket attributes

Synopsis
#include <audio/audiolib.h>

void AuSetBucketAttributes(server, bucket, valuemask, attributes, status)
    AuServer *server;
    AuBucketID bucket;
    AuMask valuemask;
    AuBucketAttributes *attributes;
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

bucket
    Specifies the audio bucket.

valuemask
    Specifies which bucket attributes are defined in the attributes argument. This must be a bitwise inclusive OR of one or more of these constants: AuCompCommonIDMask, AuCompCommonKindMask, AuCompCommonUseMask, AuCommonFormatMask, AuCommonNumTracksMask, AuCommonAccessMask, AuCommonDescriptionMask, AuCompBucketSampleRateMask, or AuCompBucket

attributes
    Specifies the structure from which the values (as specified by the value mask) are to be taken.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuSetBucketAttributes sets the attributes of bucket using only those values in attributes specified by valuemask.

BUGS
This is not implemented in the server. Expect an AuBadImplementation error if used in a client application.

Errors
AuBadImplementation.

See Also
AuGetBucketAttributes.

audiolib - Network Audio System C Language Interface